import {Text, View} from 'react-native';

export function MyDivider() {
  return <View style={{flex: 1, height: 1, backgroundColor: '#3b3b60'}} />;
}

interface MyDividerWithTextProps {
  text?: string;
}

export function MyDividerWithText({text}: MyDividerWithTextProps) {
  return (
    <View style={{flexDirection: 'row', alignItems: 'center'}}>
      <MyDivider />
      <Text style={{color: '#909090', marginHorizontal: 10}}>{text}</Text>
      <MyDivider />
    </View>
  );
}
